#ifndef __XFBIB_STATE_H
#define __XFBIB_STATE_H

#include <glib-object.h>
#include "xfbib-bibtex.h"

#define XFBIB_TYPE_STATE             (xfbib_state_get_type())
#define XFBIB_STATE(obj)             (G_TYPE_CHECK_INSTANCE_CAST((obj), XFBIB_TYPE_STATE, XfbibState))
#define XFBIB_IS_STATE(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), XFBIB_TYPE_STATE))
#define XFBIB_STATE_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass), XFBIB_TYPE_STATE, XfbibStateClass))
#define XFBIB_IS_STATE_CLASS(klass)  (G_TYPE_CHECK_CLASS_TYPE((klass), XFBIB_TYPE_STATE))
#define XFBIB_STATE_GET_CLASS(obj)   (G_TYPE_INSTANCE_GET_CLASS((obj), XFBIB_TYPE_STATE, XfbibStateClass))

G_BEGIN_DECLS

typedef struct _XfbibState         XfbibState;

GType xfbib_state_get_type() G_GNUC_CONST;

XfbibState *xfbib_state_new();
void xfbib_state_set_bibtex_elements(XfbibState *, XfbibBibtex *);
XfbibBibtex *xfbib_state_get_bibtex_elements(XfbibState *);
void xfbib_state_set_filename(XfbibState *, gchar *);
gchar *xfbib_state_get_filename(XfbibState *);
void xfbib_state_set_window(XfbibState *, GtkWidget *);
GtkWidget *xfbib_state_get_window(XfbibState *);

G_END_DECLS

#endif //__XFBIB_STATE_H

